Subject: Re: [Linux-ATM-General] mpc8360sar

From: Alex Zeffertt <[email-masked]>
Date: Thu, 20 Jul 2006 17:14:53 +0100

Kumar Gala wrote:
> 
> On Jul 20, 2006, at 8:33 AM, Alex Zeffertt wrote:
> 
>>
>>> Any reason we dont try to get your work up stream into the mainline 
>>> kernel?
>>> - kumar
>>
>> I'd like to see it upstreamed - the more people who use it the more 
>> help I get!
>>
>> However, mpc8360sar is built on Freescale's BSP which adds basic 
>> support for the
>> board, the MPC832xE-MDS, to the stock linux kernel.  This support 
>> consists of the
>> following patches:
>>
>> Patch0          : patch-2.6.11.bz2
>> Patch1          : linux-2.6.11-mpc8349e-general-20060414.patch
>> Patch2          : linux-2.6.11-mpc8349e-pci-3.patch
>> Patch3          : linux-2.6.11-mpc8349e-pci-agent.patch
>> Patch4          : linux-2.6.11-mpc8349e-watchdog.patch
>> Patch5          : linux-2.6.11-mpc83xx-sec2.patch
>> Patch6          : mpc832x-sec2v15-config-1.patch
>> Patch7          : linux-2.6.11-mpc8349e-usb-gadget.patch
>> Patch8          : linux-2.6.11-mpc8349e-usb-host.patch
>> Patch9          : linux-2.6.11-mpc8360-general-1.patch
>> Patch10         : linux-2.6.11-mpc8360-pci-agent.patch
>> Patch11         : linux-2.6.11-mpc832x-basic-4.patch
>> Patch12         : linux-2.6.11-mpc832x-pci-agent.patch
>> Patch13         : linux-2.6.11-mpc832x-spi-1.patch
>> Patch14         : linux-2.6.11-mpc832x-BIT.patch
>> Patch15         : linux-2.6.11-mpc83xx-ct-1.patch
>> Patch16         : linux-2.6.11-mpc832x-usb-gadget.patch
>> Patch17         : linux-2.6.11-mpc832x-atm-1.patch
>>
>> I guess there's no point upstreaming mpc8360sar until freescale have
>> upstreamed these patches (and ported them to the current kernel).
> 
> True, a large number of these patches are upstream, and if I had access 
> to MPC836x or MPC832x HW I'd work on getting the others that are 
> reasonable.
> 
>> Alex
>>
>> PS It's probable that mpc8360sar actually only requires a handful of
>> the above patches to be applied.
> 
> Agreed.
> 
> - kumar

Tony, can you let me know when CONFIG_MPC832XE_MDS support is upstreamed
to a kernel.org kernel.  I'll then try to get the mpc8360sar working with this
kernel and then upstream it.

Alex

PS I'm not entirely sure how "upstreaming" is done.